# Beacon API

- [/eth/v1/beacon/genesis](https://docs.validationcloud.io/v1/ethereum/beacon-api/eth-v1-beacon-genesis.md): Retrieve details of the chain's genesis.
- [/eth/v2/beacon/blocks/{block\_id}](https://docs.validationcloud.io/v1/ethereum/beacon-api/eth-v2-beacon-blocks-block_id.md): Get block attestations
- [/eth/v1/beacon/blocks/{block\_id}/attestations](https://docs.validationcloud.io/v1/ethereum/beacon-api/eth-v1-beacon-blocks-block_id-attestations.md): Get block attestations
- [/eth/v1/beacon/blocks/{block\_id}/root](https://docs.validationcloud.io/v1/ethereum/beacon-api/eth-v1-beacon-blocks-block_id-root.md): Get block root
- [/eth/v1/beacon/headers](https://docs.validationcloud.io/v1/ethereum/beacon-api/eth-v1-beacon-headers.md): Get block headers
- [/eth/v1/beacon/headers/{block\_id}](https://docs.validationcloud.io/v1/ethereum/beacon-api/eth-v1-beacon-headers-block_id.md): Get block headers
- [/eth/v1/beacon/states/{state\_id}/committees](https://docs.validationcloud.io/v1/ethereum/beacon-api/eth-v1-beacon-states-state_id-committees.md): Get all committees for a state
- [/eth/v1/beacon/states/{state\_id}/finality\_checkpoints](https://docs.validationcloud.io/v1/ethereum/beacon-api/eth-v1-beacon-states-state_id-finality_checkpoints.md): Get state finality checkpoints
- [/eth/v1/beacon/states/{state\_id}/root](https://docs.validationcloud.io/v1/ethereum/beacon-api/eth-v1-beacon-states-state_id-root.md): Get state SSZ HashTreeRoot
- [/eth/v1/beacon/states/{state\_id}/sync\_committees](https://docs.validationcloud.io/v1/ethereum/beacon-api/eth-v1-beacon-states-state_id-sync_committees.md): Get sync committees for a state
- [/eth/v1/beacon/states/{state\_id}/validator\_balances](https://docs.validationcloud.io/v1/ethereum/beacon-api/eth-v1-beacon-states-state_id-validator_balances.md): Get validator balances from state
- [/eth/v1/beacon/states/{state\_id}/validators](https://docs.validationcloud.io/v1/ethereum/beacon-api/eth-v1-beacon-states-state_id-validators.md): Get validators from state
- [/eth/v1/beacon/states/{state\_id}/validators/{validator\_id}](https://docs.validationcloud.io/v1/ethereum/beacon-api/eth-v1-beacon-states-state_id-validators-validator_id.md): Get validator from state by id
- [/eth/v1/events](https://docs.validationcloud.io/v1/ethereum/beacon-api/eth-v1-events.md): Subscribe to beacon node events
- [/eth/v1/validator/aggregate\_attestation](https://docs.validationcloud.io/v1/ethereum/beacon-api/eth-v1-validator-aggregate_attestation.md): Get aggregated attestation
- [/eth/v1/validator/blinded\_blocks/{slot}](https://docs.validationcloud.io/v1/ethereum/beacon-api/eth-v1-validator-blinded_blocks-slot.md): Produce a new blinded block, without signature
- [/eth/v1/validator/duties/proposer/{epoch}](https://docs.validationcloud.io/v1/ethereum/beacon-api/eth-v1-validator-duties-proposer-epoch.md): Get block proposers duties
- [/eth/v1/validator/sync\_committee\_contribution](https://docs.validationcloud.io/v1/ethereum/beacon-api/eth-v1-validator-sync_committee_contribution.md): Produce a sync committee contribution
- [/eth/v1/beacon/states/{state\_id}/fork](https://docs.validationcloud.io/v1/ethereum/beacon-api/eth-v1-beacon-states-state_id-fork.md): Get Fork object for requested state


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/v1/ethereum/beacon-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
